Bug 476202 - With Kernel 2.6.27.7 and Ati R600 X dosn't starts
With Kernel 2.6.27.7 and Ati R600 X dosn't starts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 08:23 EST by Gonzalo Odiard
Modified: 2009-12-18 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gonzalo Odiard 2008-12-12 08:23:52 EST
Description of problem:

With the last kernel actualization (2.6.27.7-134.fc10 gdm and X doesn't starts.

In /var/log/Xorg.0.log

RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:327680 vs g:525332480 w:2496 vs v:50002326
RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:327680 vs g:525332480 w:2496 vs v:50002326
RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:327680 vs g:525332480 w:2496 vs v:50002326
RADEON DRM CS failure - corruptions/glitches may occur -22

In /var/log/messages

Dec 12 09:27:39 localhost kernel: [drm] DAC-6: set mode 1280x960 1b
Dec 12 09:28:06 localhost kernel: [drm:radeon_gem_ib_get] *ERROR* Major case fail to allocate IB from freelist ffff
Dec 12 09:28:06 localhost kernel: [drm:radeon_cs2_ioctl] *ERROR* ib_get failed
Dec 12 09:28:06 localhost kernel: [drm:radeon_gem_ib_get] *ERROR* Major case fail to allocate IB from freelist ffff
Dec 12 09:28:06 localhost kernel: [drm:radeon_cs2_ioctl] *ERROR* ib_get failed
Dec 12 09:28:06 localhost kernel: [drm:radeon_gem_ib_get] *ERROR* Major case fail to allocate IB from freelist ffff
Dec 12 09:28:06 localhost kernel: [drm:radeon_cs2_ioctl] *ERROR* ib_get failed

My smolt id is 
cat hw-uuid 
5c523d4e-16f9-462a-bbe7-e835567f38b3

Version-Release number of selected component (if applicable):

2.6.27.7-134.fc10

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I have boot with the previous kernel version  2.6.27.5-117.fc10.x86_64 and removed the last version.
Comment 1 Wolfgang Rupprecht 2008-12-12 12:01:02 EST
same here, different ATI chip.

   ATI Technologies Inc Radeon XPRESS 200M 5955 (PCIE) rev 0

   RADEON DRM CS failure - corruptions/glitches may occur -22 bufmgr:
     last submission : r:3456 vs g:525332480 w:478720 vs v:49574700

xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
kernel-2.6.27.7-134.fc10.x86_64
Comment 2 Dave Airlie 2008-12-13 16:39:18 EST
please try xorg-x11-drv-ati -62 from koji or updates testing.

if that doesn't work please try booting with

radeon.gartsize=32 on the kernel command line, the kernel will claim to ignore it, ignore its ignorance.
Comment 3 Gonzalo Odiard 2008-12-16 07:23:05 EST
Sorry, I am trying
I have enabled updates-testing, but can't list that package

[root@nautilus gonzalo]# yum repolist
Loaded plugins: refresh-packagekit
updates                                                                                                                               | 2.3 kB     00:00     
repo id              repo name                                status  
fedora               Fedora 10 - x86_64                       enabled :  14,303
rpmfusion-free       RPM Fusion for Fedora 10 - Free          enabled :     356
rpmfusion-free-updat RPM Fusion for Fedora 10 - Free - Update enabled :      85
rpmfusion-nonfree    RPM Fusion for Fedora 10 - Nonfree       enabled :     137
rpmfusion-nonfree-up RPM Fusion for Fedora 10 - Nonfree - Upd enabled :      24
updates              Fedora 10 - x86_64 - Updates             enabled :   2,016
updates-debuginfo    Fedora 10 - x86_64 - Updates - Debug     enabled :     449
updates-testing      Fedora 10 - x86_64 - Test Updates        enabled :     606
updates-testing-debu Fedora 10 - x86_64 - Test Updates Debug  enabled :     160
repolist: 18,136

[root@nautilus gonzalo]# yum list xorg-x11-drv-ati*
Loaded plugins: refresh-packagekit
Installed Packages
xorg-x11-drv-ati.x86_64                                                         6.9.0-61.fc10                                               installed        
Available Packages
xorg-x11-drv-ati-debuginfo.x86_64                                               6.9.0-61.fc10                                               updates-debuginfo

I am doing anything wrong?
Comment 4 Gonzalo Odiard 2008-12-16 22:05:12 EST
I tried xorg-x11-drv-ati -62 from koji and tried:

1) boot without params: the same problem

2) boot adding  radeon.gartsize=32 and all work ok!

Yeah! :)

What I must do for a more permanent solution?

Thanks!
Comment 5 Gonzalo Odiard 2008-12-26 14:13:06 EST
With the last kernel 2.6.27.9-159.fc10.x86_64 the problem continues.

In /var/log/messages
Dec 26 07:41:48 localhost kernel: [drm:radeon_cs2_ioctl] *ERROR* ib_get failed
Dec 26 07:41:48 localhost kernel: [drm:radeon_gem_ib_get] *ERROR* Major case fail to allocate IB from freelist ffff
....
....

Tell me if I must send you more information or do any test.
Comment 6 Gonzalo Odiard 2009-01-28 00:00:48 EST
Sorry but the problem continues with 2.6.27.12-170.2.5.fc10.x86_64.

There are a work around, boot with 2.6.27.5, but i don know if the kernel in fedora 11 will boot in this hardware.
Comment 7 Bug Zapper 2009-11-18 04:40:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:16:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.